/usr/sbin/sync-available is in dctrl-tools 2.23ubuntu1.
This file is owned by root:root, with mode 0o755.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 | #!/bin/sh
# dctrl-tools - Debian control file inspection tools
# Copyright (C) 2004 Antti-Juhani Kaijanaho
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
set -e
aptcache=/usr/bin/apt-cache
if [ $# -ge 1 ]
then
if [ "x$@" = "x--version" ]
then
echo "update-avail (dctrl-tools) 2.23ubuntu1"
else
echo "Usage:"
echo " $0"
echo " $0 --version"
echo " $0 --help"
fi
exit 0
fi
if [ `id -u` -ne "0" ]
then
echo "$0: root privileges are required"
exit 1
fi
if [ ! -x $aptcache ]
then
echo "$0: $aptcache not executable, aborting" 1>&2
exit 1
fi
tf=`mktemp -t apt-available.XXXXXX` || exit 1
echo -n "Merging available database in $tf..."
$aptcache dumpavail >> $tf
echo "done."
dpkg --update-avail $tf
rm $tf
|